Contents | Package | Class | Tree | Deprecated | Index | Help | XML for Java
PREV | NEXT | SHOW LISTS | HIDE LISTS |

# Class com.ibm.xml.parser.CM1op

    java.lang.Object
        |
        +----com.ibm.xml.parser.CMNode
                |
                +----com.ibm.xml.parser.CM1op

public class CM1op
extends CMNode

CM1op provides content model support for content model nodes that contain the "*", "?", and "+" language primitives. Refer to ElementDecl for an overview of the content model, and how these language primitives are used to express relationships.

Version:
  1.1
See Also:
  ElementDecl, CMNode, CMLeaf

Constructor Summary
CM1op(int type, CMNode node) Constructor.

Method Summary
CMNode | getNode() Returns the content model node associated with type.
int | getType() Returns the language primitive associated with this content model node.
void | setNode(CMNode node) Sets the content model node associated with type.
java.lang.String | toString() Returns the string representation of this content model node and its associated language primitive.

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

Constructor Detail

### CM1op

    public CM1op(int type,
                 CMNode node)

  Constructor.
  Parameters:
    `type` - The language primitive associated with this content model node. Must be "*", "?", or "+".
    `node` - The content model node to associate with type, or null if node will be set later.

Method Detail

### getType

    public int getType()

  Returns the language primitive associated with this content model node.
  Returns:
    "*", "?", or "+" (should never be null).

### getNode

    public CMNode getNode()

  Returns the content model node associated with type.
  Returns:
    The content model node associated with type, or null if no node currently exists.
  See Also:
    setNode

### setNode

    public void setNode(CMNode node)

  Sets the content model node associated with type.
  Parameters:
    `node` - The content model node to associate with type.
  See Also:
    getNode

### toString

    public java.lang.String toString()

  Returns the string representation of this content model node and its associated language primitive. Example: `elementX*`
  Returns:
    The string representation of this content model node (should never be null).
  Overrides:
    toString in class java.lang.Object

Contents | Package | Class | Tree | Deprecated | Index | Help |
PREV | NEXT | SHOW LISTS | HIDE LISTS |